# Generated by Django 4.0.3 on 2022-05-21 08:48

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import orders.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=2000, verbose_name='Название')),
            ],
        ),
        migrations.CreateModel(
            name='Hotel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('album', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hotel', to='orders.album')),
            ],
        ),
        migrations.CreateModel(
            name='HotelRoom',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('room_number', models.IntegerField()),
                ('description', models.TextField(max_length=250)),
                ('album', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hotel_room', to='orders.album')),
                ('hotelId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.hotel')),
            ],
        ),
        migrations.CreateModel(
            name='HotelRoomType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
                ('price_per_day', models.DecimalField(decimal_places=2, max_digits=8)),
            ],
        ),
        migrations.CreateModel(
            name='HotelServices',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('price', models.DecimalField(decimal_places=2, max_digits=8)),
                ('description', models.TextField(max_length=250)),
                ('hotelId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.hotel')),
            ],
        ),
        migrations.CreateModel(
            name='YurtServices',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('price', models.DecimalField(decimal_places=2, max_digits=8)),
                ('description', models.TextField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='YurtType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
            ],
        ),
        migrations.CreateModel(
            name='Yurt',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('location', models.CharField(max_length=50)),
                ('price', models.DecimalField(decimal_places=2, max_digits=8)),
                ('album', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='yurt', to='orders.album')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.yurttype')),
            ],
        ),
        migrations.CreateModel(
            name='OrderYurts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reservationStartDateTime', models.DateTimeField()),
                ('reservationEndDateTime', models.DateTimeField()),
                ('first_name', models.CharField(max_length=25, null=True)),
                ('last_name', models.CharField(max_length=25, null=True)),
                ('status', models.CharField(choices=[('paid', 'Заказ оплачен'), ('booked', 'Забронировано'), ('canceled', 'Заказ отменен')], default='booked', max_length=50, null=True)),
                ('clientId', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('services', models.ManyToManyField(blank=True, to='orders.yurtservices')),
                ('yurtId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.yurt')),
            ],
        ),
        migrations.CreateModel(
            name='OrderHotelRooms',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reservationStartDate', models.DateField()),
                ('reservationEndDate', models.DateField()),
                ('first_name', models.CharField(max_length=25, null=True)),
                ('last_name', models.CharField(max_length=25, null=True)),
                ('status', models.CharField(choices=[('paid', 'Заказ оплачен'), ('booked', 'Забронировано'), ('canceled', 'Заказ отменен')], default='booked', max_length=50, null=True)),
                ('clientId', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('roomId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.hotelroom')),
                ('services', models.ManyToManyField(blank=True, to='orders.hotelservices')),
            ],
        ),
        migrations.CreateModel(
            name='News',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=2000, verbose_name='Название')),
                ('title', models.CharField(max_length=2000, verbose_name='Описание')),
                ('text', models.CharField(max_length=2000, verbose_name='Текст')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Время создания')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Время изменения')),
                ('publish_at', models.DateTimeField(blank=True, default=django.utils.timezone.now, verbose_name='Время публикации')),
                ('status', models.CharField(blank=True, choices=[('new', 'Новый'), ('moderated', 'Модерировано'), ('rejected', 'Отклонено')], default='new', max_length=15, null=True, verbose_name='Статус')),
                ('album', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='news', to='orders.album')),
            ],
            options={
                'verbose_name': 'Новость',
                'verbose_name_plural': 'Новости',
            },
        ),
        migrations.CreateModel(
            name='Images',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('image', models.ImageField(upload_to=orders.models.get_upload_path)),
                ('default', models.BooleanField(default=False)),
                ('width', models.FloatField(default=100)),
                ('length', models.FloatField(default=100)),
                ('album', models.ForeignKey(default='Gleb', on_delete=django.db.models.deletion.CASCADE, related_name='images', to='orders.album')),
            ],
        ),
        migrations.AddField(
            model_name='hotelroom',
            name='hotel_room_typeId',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='orders.hotelroomtype'),
        ),
    ]
